cdac.medinfo.sdk.hl7282.utils

## Class HL7Logger

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.utils.HL7Logger

-     public class HL7Logger
      extends java.lang.Object

  HL7Logger is used to log messages for warning generated. Logging can be enabled or disabled using the class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HL7_LOGGER_NAME` HL7 logger Name

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLogFile()` Get the log file.
    `static HL7Logger` | `getLogger()` Returns empty instance of HL7Logger enabled for logging in the error log file.
    `static HL7Logger` | `getLogger(java.lang.String strLogFile)` Returns empty instance of HL7Logger enabled for logging in the error log file.
    `void` | `log(java.lang.Exception ide)` Logs the exception with the level severe.
    `void` | `log(java.util.logging.Level objLevel, java.lang.String strLogMessage)` Logs the given Message with Level specified.
    `void` | `log(java.lang.String strLogMessage)` Logs the given Message with Level Severe.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HL7_LOGGER_NAME

          public static final java.lang.String HL7_LOGGER_NAME

      HL7 logger Name
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLogger

          public static HL7Logger getLogger()

      Returns empty instance of HL7Logger enabled for logging in the error log file.
      Returns:
        HL7Logger - instance of HL7Logger.

    - #### getLogger

          public static HL7Logger getLogger(java.lang.String strLogFile)

      Returns empty instance of HL7Logger enabled for logging in the error log file.
      Parameters:
        `strLogFile` - File in which logging to be done
      Returns:
        HL7Logger - instance of HL7Logger.

    - #### log

          public void log(java.util.logging.Level objLevel,
                 java.lang.String strLogMessage)

      Logs the given Message with Level specified.
      Parameters:
        `objLevel` - Level to be specified
        `strLogMessage` - Log message

    - #### log

          public void log(java.lang.String strLogMessage)

      Logs the given Message with Level Severe.
      Parameters:
        `strLogMessage` - Log message

    - #### log

          public void log(java.lang.Exception ide)

      Logs the exception with the level severe.
      Parameters:
        `ide` - Exception to be logged.

    - #### getLogFile

          public java.lang.String getLogFile()

      Get the log file.
      Returns:
        String - The log file.